curl --request PATCH \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "<string>",
"Description": "<string>",
"SeoPath": "<string>",
"SeoMetaDescription": "<string>",
"SeoTitleTag": "<string>",
"SeoMetaKeywords": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
payload = {
"Name": "<string>",
"Description": "<string>",
"SeoPath": "<string>",
"SeoMetaDescription": "<string>",
"SeoTitleTag": "<string>",
"SeoMetaKeywords": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: '<string>',
Description: '<string>',
SeoPath: '<string>',
SeoMetaDescription: '<string>',
SeoTitleTag: '<string>',
SeoMetaKeywords: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Update Category Description
Update a description for a specific category
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales channel that the descriptions belong to.
The iso code of the language that the descriptions belong to.
The id of the category that the descriptions belong to.
Body
The category to update.
Model Class: UpdateCategoryDescription
The category name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the category.
The category description in the given language and sales channel.
The SEO path in the given language and sales channel.
The SEO metadescription in the given language and sales channel.
The title tag (SEO) in the given language and sales channel.
The meta keywords in the given language and sales channel.
Response
Was this page helpful?